# Uses of Class
net.shibboleth.idp.cas.ticket.ServiceTicket

Packages that use ServiceTicket
Package
Description
net.shibboleth.idp.cas.ticket
APIs related to CAS tickets.
net.shibboleth.idp.cas.ticket.impl
CAS protocol ticket implementations.
net.shibboleth.idp.cas.ticket.serialization.impl
CAS protocol ticket serialization implementations.

## Uses of ServiceTicket in net.shibboleth.idp.cas.ticket

Methods in net.shibboleth.idp.cas.ticket that return ServiceTicket
Modifier and Type
Method
Description
`ServiceTicket`
TicketService.`createServiceTicket(String id, Instant expiry, String service, TicketState state, boolean renew)`
Creates and stores a ticket for the given service.
`ServiceTicket`
TicketService.`removeServiceTicket(String id)`
Removes the service ticket with the given identifier.
Methods in net.shibboleth.idp.cas.ticket with parameters of type ServiceTicket
Modifier and Type
Method
Description
`ProxyGrantingTicket`
TicketService.`createProxyGrantingTicket(String id, Instant expiry, ServiceTicket serviceTicket, String pgtUrl)`
Creates a top-level proxy-granting ticket from a service ticket.

## Uses of ServiceTicket in net.shibboleth.idp.cas.ticket.impl

Methods in net.shibboleth.idp.cas.ticket.impl that return ServiceTicket
Modifier and Type
Method
Description
`ServiceTicket`
EncodingTicketService.`createServiceTicket(String id, Instant expiry, String service, TicketState state, boolean renew)`
Creates and stores a ticket for the given service.
`ServiceTicket`
SimpleTicketService.`createServiceTicket(String id, Instant expiry, String service, TicketState state, boolean renew)`
Creates and stores a ticket for the given service.
`ServiceTicket`
EncodingTicketService.`removeServiceTicket(String id)`
Removes the service ticket with the given identifier.
`ServiceTicket`
SimpleTicketService.`removeServiceTicket(String id)`
Removes the service ticket with the given identifier.
Methods in net.shibboleth.idp.cas.ticket.impl with parameters of type ServiceTicket
Modifier and Type
Method
Description
`ProxyGrantingTicket`
AbstractTicketService.`createProxyGrantingTicket(String id, Instant expiry, ServiceTicket serviceTicket, String pgtUrl)`
Creates a top-level proxy-granting ticket from a service ticket.
`ProxyGrantingTicket`
EncodingTicketService.`createProxyGrantingTicket(String id, Instant expiry, ServiceTicket serviceTicket, String pgtUrl)`
Creates a top-level proxy-granting ticket from a service ticket.

## Uses of ServiceTicket in net.shibboleth.idp.cas.ticket.serialization.impl

Methods in net.shibboleth.idp.cas.ticket.serialization.impl that return ServiceTicket
Modifier and Type
Method
Description
`protected ServiceTicket`
ServiceTicketSerializer.`createTicket(JsonObject o, String id, String service, Instant expiry)`
Create a ticket.
Methods in net.shibboleth.idp.cas.ticket.serialization.impl with parameters of type ServiceTicket
Modifier and Type
Method
Description
`protected void`
ServiceTicketSerializer.`serializeInternal(JsonGenerator generator, ServiceTicket ticket)`
Serialize a ticket.